> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Insights

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/insights
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/insights:
    get:
      tags:
        - admin
      summary: List Insights
      operationId: listInsights
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 1
            minimum: 1
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 20
            maximum: 100
            minimum: 1
        - name: userId
          in: query
          required: false
          schema:
            type: string
        - name: agentId
          in: query
          required: false
          schema:
            type: string
        - name: scope
          in: query
          required: false
          schema:
            type: string
        - name: type
          in: query
          required: false
          schema:
            type: string
        - name: tier
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultPageResultAdminInsightView'
components:
  schemas:
    SuccessResultPageResultAdminInsightView:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PageResultAdminInsightView'
    PageResultAdminInsightView:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/AdminInsightView'
        page:
          $ref: '#/components/schemas/PageMeta'
    AdminInsightView:
      type: object
      properties:
        insightId:
          type: integer
          format: int64
        userId:
          type: string
        agentId:
          type: string
        memoryId:
          type: string
        type:
          type: string
        scope:
          type: string
        name:
          type: string
        categories:
          type: array
          items:
            type: string
        content:
          type: string
        points:
          type: array
          items:
            $ref: '#/components/schemas/InsightPoint'
        groupName:
          type: string
        lastReasonedAt:
          type: string
          format: date-time
        summaryEmbedding:
          type: array
          items:
            type: number
            format: float
        tier:
          type: string
        parentInsightId:
          type: integer
          format: int64
        childInsightIds:
          type: array
          items:
            type: integer
            format: int64
        version:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    PageMeta:
      type: object
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        totalItems:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int64
        hasPrevious:
          type: boolean
        hasNext:
          type: boolean
    InsightPoint:
      type: object
      properties:
        pointId:
          type: string
        type:
          type: string
          enum:
            - SUMMARY
            - REASONING
        content:
          type: string
        sourceItemIds:
          type: array
          items:
            type: string
        sourcePointRefs:
          type: array
          items:
            $ref: '#/components/schemas/InsightPointRef'
        metadata:
          type: object
          additionalProperties:
            type: string
    InsightPointRef:
      type: object
      properties:
        insightId:
          type: integer
          format: int64
        pointId:
          type: string

````